## imgvtopgm 1.2

=== Makefile ===
# $Mu: imgvtopgm/Makefile 1.46 1998/06/02 22:30:45 $

##
## You should only have to play with SEX, CC, CFLAGS, LDFLAGS, and maybe LIBS.
## SEX should be LITTLEENDIAN, BIGENDIAN, or UNKNOWNENDIAN; if you leave the
## SEX as UNKNOWNENDIAN, the proper byte order will be determined at run-time.
##
## As usual you may have to fiddle with -D_POSIX_SOURCE on some systems
## (HP-UX 9.05 needed it to get ENOMEM).
##
VERSION  = 1.2
SEX      = UNKNOWNENDIAN
DEFS     = -DVERSION=\"$(VERSION)\" -D$(SEX)
CC       = gcc
CFLAGS   = -O2 -ansi -pedantic -Wall -Werror -Wmissing-prototypes \
		-I/usr/local/include $(DEFS)
LDFLAGS  = -s -L/usr/local/lib
LIBS     = -lpgm -lpbm

PROGRAMS = \
	imgvinfo \
	imgvtopnm \
	imgvview \
	pbmtoimgv \
	pgmtoimgv \
	ppmimgvquant
MANPAGES = \
	imgvinfo.1 \
	imgvtopnm.1 \
	imgvview.1 \
	pbmtoimgv.1 \
	pgmtoimgv.1 \
	ppmimgvquant.1

IPDBROBJ = ipdb_r.o ipdb_c.o sex.o 
IPDBWOBJ = ipdb_w.o ipdb_c.o sex.o 
IPDBOBJ  = ipdb_r.o ipdb_w.o ipdb_c.o sex.o
IMGVOBJ  = imgvtopnm.o $(IPDBROBJ)
IMGVIOBJ = imgvinfo.o $(IPDBROBJ)
PGMOBJ   = pgmtoimgv.o $(IPDBWOBJ)
PBMOBJ   = pbmtoimgv.o $(IPDBWOBJ)
OBJ      = imgvtopnm.o pgmtoimgv.o pbmtoimgv.o imgvinfo.o $(IPDBOBJ)
CLEAN    = $(OBJ)
RCLEAN   = $(CLEAN) $(PROGRAMS) $(MANPAGES)

all: $(PROGRAMS) $(MANPAGES)

.SUFFIXES: .man .1
.man.1:
	sed 's/@@VERSION@@/$(VERSION)/' < $< > $@

imgvtopnm: $(IMGVOBJ)
	$(CC) $(LDFLAGS) -o imgvtopnm $(IMGVOBJ) $(LIBS)

imgvinfo: $(IMGVIOBJ)
	$(CC) $(LDFLAGS) -o imgvinfo $(IMGVIOBJ) $(LIBS)

pgmtoimgv: $(PGMOBJ)
	$(CC) $(LDFLAGS) -o pgmtoimgv $(PGMOBJ) $(LIBS)

pbmtoimgv: $(PBMOBJ)
	$(CC) $(LDFLAGS) -o pbmtoimgv $(PBMOBJ) $(LIBS)

ppmimgvquant: ppmimgvquant.sh
	sed 's/@@VERSION@@/$(VERSION)/' < $< > $@
	chmod 755 $@

imgvview: imgvview.sh
	sed 's/@@VERSION@@/$(VERSION)/' < $< > $@
	chmod 755 $@

.PHONY: clean realclean ident
clean:
	rm -f $(CLEAN)

distclean: realclean
realclean: 
	rm -f $(RCLEAN)

ident:
	@ident $(PROGRAMS)

##
## Hand-made dependencies.  I don't like what makedepend does to my
## Makefiles and I can't assume that your make supports "include"; the
## dependencies are simple enough that it doesn't really matter anyway.
##
$(MANPAGES):	Makefile
ppmimgvquant:	Makefile
imgvview:	Makefile
$(OBJ):		Makefile slop.h ipdb.h
$(IPDBOBJ):	ipdbP.h sex.h
sex.o:		sex.h

## imgvtopgm 2.1

=== debian/changelog ===
imgvtopgm (2.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:56:14 +1100

imgvtopgm (2.1-2build1) noble; urgency=high

  * No change rebuild against libnetpbm11t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:33:35 +0100

imgvtopgm (2.1-2) unstable; urgency=medium

  * Team upload.
  * Team maintenance by Debian Phototools Team
  * Short debhelper
  * DEP5 copyright
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Hardening

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jan 2023 18:00:20 +0100

imgvtopgm (2.1-1) unstable; urgency=low

  * New upstream version, make it compile for netpbm11 (Closes: #1012633)
  * Thanks Adrian for the NMU (Closes: #999003)
  * removed Recommends, the packages were removed
  * Switch to dpkg-source 3.0 (quilt) format (Closes: #1007585)
  * Fix FTCBFS: Export cross tools for configure. Thanks Helmut (Closes: #989953)
  * debian/control:
    + Bumped Standards-Version to 4.5.1, no changes needed
  * Increased debhelper version to 13
  * Fixed lintian warning about national-encoding in debian/man/*.de.1

 -- Erik Schanze <eriks@debian.org>  Fri, 02 Dec 2022 00:17:28 +0100

imgvtopgm (2.0-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep}. (Closes: #999003)

 -- Adrian Bunk <bunk@debian.org>  Mon, 27 Dec 2021 21:04:01 +0200

imgvtopgm (2.0-9) unstable; urgency=low

  * debian/control:
    + remove Kpilot from Recommends
    + Bumped Standards-Version to 3.9.1, no changes needed
  * Increased debhelper version to 8
  * Updated Homepage in debian/control, debian/copyright and
    debian/watch

 -- Erik Schanze <eriks@debian.org>  Sat, 12 Feb 2011 12:15:44 +0100

imgvtopgm (2.0-8) unstable; urgency=low

  * debian/rules:
    - Added handling of DEB_BUILD_OPTIONS (Closes: #437216)
    - changed distclean rule (lintian warning)
  * Bumped Standards-Version to 3.7.2, no changes needed

 -- Erik Schanze <eriks@debian.org>  Sat, 11 Aug 2007 21:49:28 +0200

imgvtopgm (2.0-7) unstable; urgency=low

  * Fixed watch file
  * Changed priority back to optional

 -- Erik Schanze <eriks@debian.org>  Sat, 22 Apr 2006 21:35:19 +0200

imgvtopgm (2.0-6) unstable; urgency=low

  * Changed maintainers email address
  * Changed german umlauts in manpages to groff sequences
  * Updated to Standards-Version 3.6.2, no changes needed
  * Changed priority to extra, requested by Debian Installer
  * Updated watch file
  * Removed version in NAME line of manpages (Closes: #340475)
  * Removed AUTHORS, we have this in debian/copyright
  * Added homepage and improved description in debian/control
  * Improved copyright file

 -- Erik Schanze <eriks@debian.org>  Sun,  9 Apr 2006 15:52:38 +0200

imgvtopgm (2.0-5) unstable; urgency=low

  * New maintainer, closes: #261584
  * Remove directory debian.old/
  * Remove unused debian/README.[d|D]ebian
  * Update to Standards-Version 3.6.1
    + Modify debian/copyright
    + Removed emacs stuff from this file
    + Remove dh_suidregister from debian/rules
    + Removed INSTALL and (useless) NEWS from debian/docs
    + Remove unneeded debian/dirs
  * Updated download URL in debian/copright
  * Translated man pages into German
    + Stored under debian/man/ and modify debian/rules for installing
  * Modify debian/rules to install sample/* into packages example diretory
  * Added debian/watch file
  * Change default VIEWER to xli in imgvview (it is the smallest one)
  * Added depends on xli in debian/control

 -- Erik Schanze <schanzi_@gmx.de>  Sat, 31 Jul 2004 21:23:49 +0200

imgvtopgm (2.0-4) unstable; urgency=low

  * Orphaned this package.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 26 Jul 2004 15:06:19 -0500

imgvtopgm (2.0-3) unstable; urgency=low

  * Due to changes in netpbm packages, reversed the Debian patch to
    configure.  Closes: #211255.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  9 Oct 2003 16:50:27 -0500

imgvtopgm (2.0-2) unstable; urgency=low

  * ACK NMU.  Closes: #93953, #91504.
  * Updated Standards-Version.  Closes: #87168.
  * Closing out other fixed bugs.  Closes: #91177.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 24 Apr 2001 14:01:50 -0500

imgvtopgm (2.0-1.1) unstable; urgency=low

  * NMU
  * Rebuilt with newer debhelper (closes: bug#91504)
  * Added Build-Depends.
  * Added mandir=/usr/share/man

 -- Marcelo E. Magallon <mmagallo@debian.org>  Fri, 13 Apr 2001 20:23:04 +0200

imgvtopgm (2.0-1) unstable; urgency=low

  * New upstream release, closes bug #38443

 -- John Goerzen <jgoerzen@complete.org>  Tue, 22 Jun 1999 06:22:38 -0500

imgvtopgm (1.3-2) unstable; urgency=low

  * Added #include <string.h> to slop.h, which should help compilation
    on glibc2.1 platforms, fixing bug #33215.
  * Changed control file maintainer e-mail to jgoerzen@complete.org.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 15 Feb 1999 13:11:37 -0600

imgvtopgm (1.3-1) unstable; urgency=low

  * New upstream release
  * Closed bug #30016.  This was actually fixed in 1.2-2 but apparently
    that version never made it to the archive.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 29 Nov 1998 11:34:00 -0600

imgvtopgm (1.2-2) unstable; urgency=low

  * Fixed copyright file
  * Now includes the samples from the upstream release

 -- John Goerzen <jgoerzen@complete.org>  Mon,  8 Jun 1998 15:48:18 -0500

imgvtopgm (1.2-1) unstable; urgency=low

  * Initial Release.

 -- John Goerzen <jgoerzen@complete.org>  Sun,  7 Jun 1998 15:49:00 -0500

=== debian/control ===
Source: imgvtopgm
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Erik Schanze <eriks@debian.org>
Standards-Version: 4.6.2
Build-Depends: libnetpbm-dev, debhelper-compat (= 13)
Vcs-Git: https://salsa.debian.org/debian-phototools-team/imgvtopgm.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imgvtopgm
Homepage: https://sourceforge.net/projects/imgvtopgm/
Rules-Requires-Root: no

Package: imgvtopgm
Architecture: any
Depends: netpbm, ${misc:Depends}, ${shlibs:Depends}, xli
Description: PalmPilot/III Image Conversion utility
 This program can convert, compress, and decompress up to 4-bit grayscale
 images for displaying on the PalmPilot. It can take any pbm, pnm, pgm file
 generated by the netpbm package and convert it into a suitable image
 for the Pilot.
 .
 Together with netpbm many image formats, including JPEG, PNG, GIF, TIFF
 and BMP, could be converted into PDB format. This can be displayed on
 PalmPilot/III by viewers like "ImageViewer", "TinyViewer" or "Spec".

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDTOOLS=1
-include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

=== debian/watch ===
version=4
http://qa.debian.org/watch/sf.php/imgvtopgm/ imgvtopgm-(.*)(?:\.tar(?:\.gz|\.bz2)?|\.tgz)
